class Logger {
  log(message) {
    console.log(`Log message: ${message}`);
  }
}

function executeTask(task, logger) {
  logger.log("Iniciando tarefa...");
  task();
  logger.log("Tarefa concluída!");
}

const logger = new Logger();
executeTask(() => console.log("Executando tarefa principal..."), logger);
